# SDK Initialization

### Add Native Module Files

Download the following files and add them to your Android app's module directory:

{% file src="/files/StoE6TZWWe5Nb0LjPHyv" %}

{% file src="/files/RRtyOjT7rOaiXJqBc7wN" %}

### Register the Module

In your `MainApplication` file, locate the `getPackages()` method and register the Adjump SDK module by adding the following line:

{% tabs %}
{% tab title="Java" %}

```java
@Override
protected List<ReactPackage> getPackages() {
    // Get the list of packages
    List<ReactPackage> packages = new PackageList(this).getPackages();
    
    // Add the Adjump SDK package to the list
    packages.add(new AdjumpSdkPackage());
    
    return packages;
}
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
override fun getPackages(): List<ReactPackage> {
    // Get the list of packages
    val packages = PackageList(this).packages
    
    // Add the Adjump SDK package to the list
    packages.add(AdjumpSdkPackage())
    
    return packages
}

```

{% endtab %}
{% endtabs %}

### **Initialize AdJump SDK**: <a href="#initialize-adjump-sdk" id="initialize-adjump-sdk"></a>

```javascript
adjump.initialize(accountId, appId, userId, 
  (message) => {
    console.log(message); // You can optionally log the success message
  }, 
  (error) => {
    console.error(error);
  }
);

```

The parameters to this call are as follows:

| Parameter | Description                                              |
| --------- | -------------------------------------------------------- |
| accountId | Your Adjump account id.                                  |
| appId     | Your Adjump application id.                              |
| userId    | The registered User Id associated with your application. |

### Open the Adjump offerwall

To initiate the OfferWall, simply invoke the `launchOfferWall`method.

```javascript
adjump.launchOfferWall((successMessage) => {
  Alert.alert("Success", successMessage);
}, (errorMessage) => {
  Alert.alert("Error", errorMessage);
});


```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adjump.io/react-native/sdk-initialization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
